%global	gemname	rake-compiler
%global	gem_name %{gemname}
%global	gemdir %{gem_dir}
%global	geminstdir %{gem_instdir}

%global	gemdir %{gem_dir}
%global	gem_name %{gemname}
%global	geminstdir %{gem_instdir}

Summary:	Rake-based Ruby C Extension task generator
Name:		rubygem-%{gemname}
Version:	0.9.3
Release:	%mkrel 1
Group:		Development/Ruby
License:	MIT
URL:		http://rake-compiler.rubyforge.org/
Source0:	https://rubygems.org/gems/%{gemname}-%{version}.gem
Requires:	ruby
BuildRequires:	ruby
BuildRequires:	rubygems
BuildRequires:	rubygem-rspec
BuildRequires:	rubygems-devel
Requires:	rubygems
Requires:	rubygem-rake
BuildArch:	noarch
Provides:	rubygem(%{gemname}) = %{version}-%{release}

%description
rake-compiler aims to help Gem developers while dealing with
Ruby C extensions, simplifiying the code and reducing the duplication.

It follows *convention over configuration* and set an standarized
structure to build and package C extensions in your gems.

This is the result of expriences dealing with several Gems 
that required native extensions across platforms and different 
user configurations where details like portability and 
clarity of code were lacking. 

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

# rpmlint cosmetic
sed -i -e 's|\r||' README.rdoc
find ./lib/rake -name \*.rb | xargs sed -i -e '\@/usr/bin/env@d'

# Permission
find . -name \*.rb -print0 | xargs --null chmod 0644

gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
%gem_install

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{gemdir}
cp -a .%{_prefix}/* %{buildroot}%{_prefix}/

%check
pushd .%{geminstdir}

# cucumber 0.10.0 needs fixing for newer rake (0.9.0 beta5)
# rake aborted!
# undefined method `desc' for #<Cucumber::Rake::Task:0xb742ebb0>
# rake spec
ruby -Ilib -S rspec spec/

%files
%defattr(-,root,root,-)
%{_bindir}/rake-compiler

%dir %{geminstdir}
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/LICENSE.txt
%doc %{geminstdir}/History.txt
%{geminstdir}/cucumber.yml

%{geminstdir}/bin/
%{geminstdir}/features/
%{geminstdir}/lib/
%{geminstdir}/tasks/

%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{gemdir}/doc/%{gemname}-%{version}
%exclude	%{geminstdir}/Gemfile
%exclude	%{geminstdir}/Rakefile
%{geminstdir}/spec/


%changelog
* Fri Oct 31 2014 bb <bb> 0.9.3-1pclos2014
- import
